Sophie

Sophie

distrib > Mandriva > 2011.0 > i586 > media > main-updates-src > by-pkgid > 25f6dc732128ff9854f2fb4f4dea8a85 > files > 8

coreutils-8.12-1.2.src.rpm

--- coreutils-8.2/src/cp.c.override	2009-09-29 15:27:54.000000000 +0200
+++ coreutils-8.2/src/cp.c	2010-01-03 06:05:55.000000000 +0100
@@ -972,6 +972,7 @@
           break;
 
         case 'f':
+	  x.interactive = I_ALWAYS_YES;
           x.unlink_dest_after_failed_open = true;
           break;
 
--- coreutils-8.2/tests/cp/cp-i.override	2009-10-30 12:51:07.000000000 +0100
+++ coreutils-8.2/tests/cp/cp-i	2010-01-03 06:04:07.000000000 +0100
@@ -60,8 +60,8 @@
 compare out6 out_empty || fail=1
 
 # do not ask, prevent from overwrite
-echo n | cp -vnf c d 2>/dev/null > out7 || fail=1
-compare out7 out_empty || fail=1
+#echo n | cp -vnf c d 2>/dev/null > out7 || fail=1
+#compare out7 out_empty || fail=1
 
 # options --backup and --no-clobber are mutually exclusive
 cp -bn c d 2>/dev/null && fail=1
--- coreutils-8.2/tests/mv/i-2.override	2009-10-30 12:51:07.000000000 +0100
+++ coreutils-8.2/tests/mv/i-2	2010-01-03 06:04:07.000000000 +0100
@@ -41,11 +41,12 @@
 # Before 4.0s, this would not prompt.
 cp -if e f < y > out 2>&1 || fail=1
 
+#(peroyvind) this test is bogus, we don't want to be prompted when forcing
 # Make sure out contains the prompt.
-case "`cat out`" in
-  "cp: try to overwrite \`f', overriding mode 0000 (---------)?"*) ;;
-  *) fail=1 ;;
-esac
+#case "`cat out`" in
+#  "cp: try to overwrite \`f', overriding mode 0000 (---------)?"*) ;;
+#  *) fail=1 ;;
+#esac
 
 test -f e || fail=1
 test -f f || fail=1